# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/cvsroot/gentoo-x86/app-i18n/jmode/jmode-0.6.0.ebuild,v 1.2 2003/02/13 07:04:28 vapier Exp $

IUSE=""

DESCRIPTION="ATOKX is a commercial Japanese conversion server"
#SRC_URI="http://www.justsystem.co.jp"
HOMEPAGE="http://www.justsystem.co.jp/atokx"
LICENSE=""
KEYWORDS="~x86 ~sparc ~ppc ~alpha"
SLOT="0"

RESTRICT="nostrip"

RDEPEND="x11-libs/gtk+
		virtual/x11"

ATOKXPKG="atokx-1.0-1.i386.tgz"
IIIMFPKG="iiimf.tgz"

S=${WORKDIR}/${P}

pkg_setup() {

	if [ ! -f ${DISTDIR}/${ATOKXPKG} -o ! -f ${DISTDIR}/${IIIMFPKG} ] ; then
		eerror "Packages not found in ${DISTDIR}"
		eerror "Please mount ATOKX cdrom and make symbolic links"
		eerror "in ${DISTDIR} named ${ATOKXPKG} and ${IIIMFPKG} "
		eerror "which point to the corresponding packages on the CD"
		eerror ""
		eerror "Please make sure to link the tgz files and not the rpms"

		exit 1
	fi
}


src_compile() {

	einfo "Nothing to do, this is a binary package"

}

src_install () {

	cd ${D}
	einfo "Unpacking ${IIIMFPKG}"
	tar xzf ${DISTDIR}/${IIIMFPKG}
	einfo "Unpacking ${ATOKXPKG}"
	tar xzf ${DISTDIR}/${ATOKXPKG}

	# remove init.d files since they are wrong and are for redhat like
	# distributions

	rm -rf ${D}/etc/rc.id
	insinto /etc/init.d
	doins ${FILESDIR}/IIim
	doins ${FILESDIR}/atokx

}

pkg_postinst() {

	einfo "ATOKX is now installed. There are some extra setup"
	einfo "you need to perform."
	einfo ""
	einfo "add /usr/lib/im/locale/ja/atokserver/atokx_client to your .xinitrc"
	einfo "set XMODIFIERS to \"@im=htt\""

}
